Author Topic: FSPort MediaVPs and ST broken  (Read 1799 times)

0 Members and 1 Guest are viewing this topic.

FSPort MediaVPs and ST broken
After a total reinstall with 4.7.2, FSPort and STR give the error “no version found for these constraints” and list older versions.

Using Knossos.

Help!!!
« Last Edit: January 28, 2024, 09:47:05 pm by OptimusX »

 
Re: FSPort MediaVPs and ST broken
Same error here using Knossos. IIRC, after FSPort update. Not just STR, but several other campaigns that use the FSPort MediaVPs. Other campaigns tested tonight, w/o FSPort mvps start normally. When this first occured, I tried verifying STr files, which did verify. I tried reinstalling it, but the install button throws the same errors.
Every good day is one less bad day

 
Re: FSPort MediaVPs and ST broken
I'm using Knossos.NET, which seems more permissive and allows the install, but got several warnings on starting the game. Looking at the dependencies, I can see that they conflict: It looks like it wants MediaVPs ~4.6.0 and ~4.7.0 (I'm not sure about the ordering).

Overriding the dependencies to select 4.6.8 still gives warnings on startup, whereas setting both to 4.7.2 or Newest makes it work, so I think the ~4.6.0 dependency is outdated.

See the attached screenshot for how it looks in Knossos.NET (I checked "Enable custom mod dependencies" so they aren't grayed out, but didn't change anything).

 

Offline Goober5000

  • HLP Loremaster
  • 214
    • Goober5000 Productions
Re: FSPort MediaVPs and ST broken
Apologies, I missed updating one of the version numbers when I uploaded the new version of FSPort MediaVPs yesterday.  I've just fixed it.  Restart Knossos, refresh the mod list (to make sure the FreeSpace Port MediaVPs mod shows "last updated" on January 29), and try again.

 
Re: FSPort MediaVPs and ST broken
Thank you! The issue with the FSPort MediaVPs is indeed fixed. However, it looks like Silent Threat: Reborn still needs an update - it seems to expect >=4.5.0 and ~4.6.0, which then conflicts with the latest FSPort MediaVPs.

 

Offline Goober5000

  • HLP Loremaster
  • 214
    • Goober5000 Productions
Re: FSPort MediaVPs and ST broken
Thanks.  The same problem affected the ST:R config file.  It should be fixed now, and again, the "last updated" date should be January 29.

 

Offline AV8R

  • 28
Re: FSPort MediaVPs and ST broken
I'm having the same issue - but ONLY with ST:R. Says the dependencies were wrong. So I uninstalled ST;R thinking a Knossos reinstall would fix it (I have Knossos 0.14.3). Nope. Now it won't install saying the MVPs are missing (but doesn't say which ones).

What MVP versions does the current ST:R require? In my FS2 folder I have the main MVPs 4.68 and 4.72 as well as FSPort MVPs 4.69, 4.70 and 4.71 (I leave some older versions behind in case of compatibility issues). One of those combinations has to work for ST:R, lol.

 

Offline Goober5000

  • HLP Loremaster
  • 214
    • Goober5000 Productions
Re: FSPort MediaVPs and ST broken
The current version of ST:R should work for both MediaVPs versions 4.6 and 4.7, so from a high-level perspective you should be ok, although sometimes Knossos is funny about how it treats dependencies, and sometimes it doesn't catch metadata updates.  It's also possible, if you've selected the mainhalls package in ST:R, that you need to install the main halls of whatever MediaVPs version you are using.  ST:R uses the Krios and Soyakaze main halls.

You can also try Knossos.NET which is a little bit looser about enforcing package dependencies.

 

Offline AV8R

  • 28
Re: FSPort MediaVPs and ST broken
You can also try Knossos.NET which is a little bit looser about enforcing package dependencies.

If I install Knossos.NET, will I be able to pull my pilots and custom game settings over form the old Knossos to the new one? (the settings that were typically in the "user.json" files in the old version of Knossos) Or does the new version of Knossos store pilot and games settings in different files/folders? This is why I am apprehensive about moving to the new Knossos, because my current setup is VERY portable. I can backup my entire Games folder, which includes my Knossos and Freespace folders and all of my mods by simply copying the entire folder to my NAS. If I had to restore the folders, then a simply copy down from my NAS (along with a couple of Knossos-related folders that were also backed up from my Windows Profile) and I'm ready to play again without reinstalling anything. I guess I'll have to play with the new Knossos to see if it's as portable as the old version is.

Anyway, since I was trying to figure out what this issue might be with the ST:R versioning error and now it saying that I don't even have the MVPs installed, I made the mistake of editing the FSPort MVP mod.json file and adjusting the version numbers there to see if it would help (which it didn't) and I didn't backup the mod.json files before I edited them (my bad).

So, that being said, a couple questions:

1) For the latest ST:R, what MVPs version, FSPort MVPs version and FSPort version does it require? (as mentioned before, I have main MVPs version 4.6.8 and 4.7.2, FSPort MVPs versions 4.6.9, 4.7.0 and 4.7.1 and FSPort 3.73)

2) For the FSPort MVPs 4.7.1 mod.json file I edited, what are the default settings? (Here is what I edited the versions to, but I just want to go back to default)

"dependencies": [
                {
                    "id": "FSO",
                    "version": ">=23.0.0",
                    "packages": []
                },
                {
                    "id": "fsport",
                    "version": ">=3.7.0",
                    "packages": []
                },
                {
                    "id": "MVPS",
                    "version": "~4.7.0",
                    "packages": []
                }

 

Offline Sevanti

  • 22
Re: FSPort MediaVPs and ST broken
So I was having the same problem with ST:R. I actually went and downloaded the previous version of ST:R, 1.7.1 and now it is working. However, if I try going back to the new version, it won't work. Not a perfect solution, but it should help. I do have the most current version of the MVP files.

 

Offline Goober5000

  • HLP Loremaster
  • 214
    • Goober5000 Productions
Re: FSPort MediaVPs and ST broken
AV8R:

Knossos.NET uses exactly the same configuration and data as old Knossos, so you can switch between them as you prefer.

1) ST:R is set to require at least 4.5.0 of both MVPs and FSPort MVPs, although with the right configuration it would work on any version.  (It's designed to be compatible as far back as retail.)

2) That configuration ought to work.  For the record, here is the dependencies section for FSPort MVPs 4.7.1:
      "dependencies": [
        {
          "id": "FSO",
          "version": ">=21.4.0",
          "packages": []
        },
        {
          "id": "fsport",
          "version": ">=3.6.8",
          "packages": []
        },
        {
          "id": "MVPS",
          "version": "~4.7.0",
          "packages": []
        }
      ],



Sevanti:

That's a valid approach.  The only change in 1.7.2 is the addition of the on-mission-skip operator, so if you don't plan to skip any missions, you won't need to update.

For the record, here is the dependencies section for ST:R 1.7.2:
            "dependencies": [
                {
                    "id": "FSO",
                    "version": ">=21.4.0",
                    "packages": []
                },
                {
                    "id": "fsport",
                    "version": ">=3.7.0",
                    "packages": []
                },
                {
                    "id": "fsport-mediavps",
                    "version": ">=4.5.0",
                    "packages": []
                },
                {
                    "id": "MVPS",
                    "version": ">=4.5.0",
                    "packages": []
                }
            ],


The main requirement for mod loading (besides the order of mods, which is defined by mod_flag) is that the first two numbers of MVPs and FSPort MVPs must be the same.  So both 4.5.x, or both 4.6.x, or both 4.7.x.

 

Offline AV8R

  • 28
Re: FSPort MediaVPs and ST broken

Thank you for the info/verification, Goober!  :yes:

  

Offline Goober5000

  • HLP Loremaster
  • 214
    • Goober5000 Productions
Re: FSPort MediaVPs and ST broken
You're welcome :yes: